<?php

namespace Drupal\simple_analytics;

/**
 * Simple Analytics Helper functions.
 */
class SimpleAnalyticsHelper {

  /**
   * Get Configuration Name.
   */
  public static function getConfigName() {
    return 'simple_analytics.settings';
  }

  /**
   * Get Configuration Object.
   *
   * @return \Drupal\Core\Config\Config|\Drupal\Core\Config\ImmutableConfig
   *   The configuration object.
   */
  public static function getConfig($editable = FALSE) {
    if ($editable) {
      $config = \Drupal::configFactory()->getEditable(static::getConfigName());
    }
    else {
      $config = \Drupal::config(static::getConfigName());
    }
    return $config;
  }

  /**
   * Generate Table Vertical.
   */
  public static function generateVerticalTable(array $indexs, array $datas, array $settings, &$output) {

    $title = (isset($settings['title'])) ? $settings['title'] : "";
    $fields = (isset($settings['fields'])) ? $settings['fields'] : NULL;

    if (is_array($fields)) {
      $header = ['#'];
      foreach ($fields as $field) {
        $header[] = $field;
      }
    }
    else {
      $header = [];
    }
    $rows = [];

    foreach ($indexs as $key => $label) {
      $rows[$key] = [];
      foreach ($datas as $data) {
        $rows[$key] = [($key + 1), $label, $data[$key]];
      }
    }

    $output[] = [
      '#theme' => 'table',
      '#caption' => $title,
      '#rows' => $rows,
      '#header' => $header,
      '#empty' => '',
    ];
  }

}
