<?php

namespace Drupal\simple_analytics\Tests;

/**
 * Test basic pages of Simple Analytics module.
 *
 * - Tracking code on basic pages
 * - Help page for admin user.
 *
 * @group Simple Analytics
 */
class SimpleAnalyticsBasicPagesTest extends SimpleAnalyticsTestBase {

  /**
   * Tests if page visibility works.
   */
  public function testSimpleAnalyticsPageVisibility() {
    // Verify that no GA and Piwik tracking code is embedded into the webpage;
    // only the internal tracking code is present..
    $this->drupalGet('');
    $this->assertRaw('/simple_analytics/track', '[testSimpleAnalyticsPageVisibility]: Simple Tracking code is displayed.');

    $this->drupalGet('');
    $this->assertNoRaw('//www.google-analytics.com/analytics.js', '[testSimpleAnalyticsPageVisibility]: GA Tracking code is not displayed without UA code configured.');
    $this->assertNoRaw("_paq.push(['setTrackerUrl', u+'piwik.php'])", '[testSimpleAnalyticsPageVisibility]: Piwik Tracking code is not displayed without URL and ID configured.');
  }

  /**
   * Tests if tracking code is properly added to the page.
   */
  public function testSimpleAnalyticsTrackingCode() {
    // Check internal Tracking page is accessible for everyone and success.
    $this->drupalGet('simple_analytics/track');
    $this->assertResponse(200);
    $this->assertRaw('[{"rasult":"OK"}]', '[testSimpleAnalyticsTrackingCode]: Tracking page accessible and track success.');
  }

}
